curl "https://api.tracklysms.com/api/v2/business-profiles/664a1b2c3d4e5f6071829300/documents" \
-H "X-Api-Key: trk_your_api_key_here"
{
"documents": [
{
"id": "9f2c4a1e7b8d4c3f",
"filename": "ein.pdf",
"contentType": "application/pdf",
"size": 20481,
"uploadedAt": "2026-07-26T12:10:00Z"
}
]
}
Business Verification (v2)
List Supporting Documents
List a business profile’s supporting documents (metadata only).
GET
/
v2
/
business-profiles
/
{profile_id}
/
documents
curl "https://api.tracklysms.com/api/v2/business-profiles/664a1b2c3d4e5f6071829300/documents" \
-H "X-Api-Key: trk_your_api_key_here"
{
"documents": [
{
"id": "9f2c4a1e7b8d4c3f",
"filename": "ein.pdf",
"contentType": "application/pdf",
"size": 20481,
"uploadedAt": "2026-07-26T12:10:00Z"
}
]
}
Returns the metadata for each document attached to a business profile (no bytes). Download a document’s contents with Download Document.
Path Parameters
string
required
The business profile’s id.
Examples
curl "https://api.tracklysms.com/api/v2/business-profiles/664a1b2c3d4e5f6071829300/documents" \
-H "X-Api-Key: trk_your_api_key_here"
{
"documents": [
{
"id": "9f2c4a1e7b8d4c3f",
"filename": "ein.pdf",
"contentType": "application/pdf",
"size": 20481,
"uploadedAt": "2026-07-26T12:10:00Z"
}
]
}
Error Codes
| HTTP Status | Error Code | Description |
|---|---|---|
| 404 | not_found | No such profile on your account. |